org.apache.ignite.internal.processors.platform.client.tx

## Interface ClientTxAwareRequest

All Known Implementing Classes:
  ClientCacheClearKeyRequest, ClientCacheClearKeysRequest, ClientCacheContainsKeyRequest, ClientCacheContainsKeysRequest, ClientCacheGetAllRequest, ClientCacheGetAndPutIfAbsentRequest, ClientCacheGetAndPutRequest, ClientCacheGetAndRemoveRequest, ClientCacheGetAndReplaceRequest, ClientCacheGetRequest, ClientCacheGetSizeRequest, ClientCacheKeyRequest, ClientCacheKeysRequest, ClientCacheKeyValueRequest, ClientCacheLocalPeekRequest, ClientCachePutAllRequest, ClientCachePutIfAbsentRequest, ClientCachePutRequest, ClientCacheRemoveIfEqualsRequest, ClientCacheRemoveKeyRequest, ClientCacheRemoveKeysRequest, ClientCacheReplaceIfEqualsRequest, ClientCacheReplaceRequest, ClientCacheScanQueryRequest, ClientCacheSqlFieldsQueryRequest, ClientCacheSqlQueryRequest

    public interface ClientTxAwareRequest

Interface for transaction aware requests.

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `isTransactional()` Request was made under transaction.
`int` `txId()` Gets transaction ID.

### Method Detail

#### txId

    int txId()

Gets transaction ID.

#### isTransactional

    boolean isTransactional()

Request was made under transaction.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.13.0
Release Date | : April 20 2022